ROLLSET(1)

NAME
rollset - Modifies entries in a DNSSEC-Tools rollrec file

SYNOPSIS
  rollset [options] rollrec-file

DESCRIPTION
rollset modifies fields in the rollrec file specified by rollrec-file. Multiple options may be combined in a single rollset execution. rollset operates quietly unless it is given the -verbose option.

All records in the specified rollrec file will be modified, unless the -name option is given. In that case, only the named zone will be modified.

OPTIONS

-admin addr
    The zone administrator's email address is set to addr.

-check
    If this option is given, the rollchk command will be run on the modified rollrec file.

-del-admin
    The administrator line is deleted. The -admin and -del-admin options are mutually exclusive.

-del-directory
    The directory line is deleted. The -directory and -del-directory options are mutually exclusive.

-del-loglevel
    The loglevel line is deleted. The -loglevel and -del-loglevel options are mutually exclusive.

-del-zg
    The zonegroup line is deleted. The -zg and -del-zg options are mutually exclusive.

-del-zsargs
    The zsargs line is deleted. The -zsargs and -delzsargs options are mutually exclusive.

-directory dir
    The directory to hold the zone's files is set to dir.

-display
    Turn on the GUI display of the zones in the selected rollrecs. This option is mutually exclusive of the -nodisplay option.

-file zone-file
    The zone file in the selected rollrec records is modified to be zone-file.

-keyrec keyrec-file
    The keyrec file in the selected rollrec records is modified to be keyrec-file.

-loglevel logging-level
    The logging level of the selected rollrec records is set to logging-level. The valid logging levels are defined in rollmgr.pm(3).

-name rollrec-name
    The rollrec whose name matches zonename is selected as the only rollrec that will be modified. If this name is not given, then all rollrec records will be modified.

-nodisplay
    Turn off the GUI display of the zones in the selected rollrecs. This option is mutually exclusive of the -display option.

-rename
    The rollrec's name is changed to match the specified name. The new name cannot be the name of an existing rollrec in the file. This option must be used in conjunction with the -name option.

-reset-zonename
    The zonename field is set to match the name of the rollrec record. This option is mutually exclusive of the -zonename option.

-roll
    Convert the selected rollrecs to be active ("roll") records. This option is mutually exclusive of the -skip option.

-skip
    Convert the selected rollrecs to be inactive ("skip") records. This option is mutually exclusive of the -roll option.

-zg zonegroup-name
    The zonegroup in the selected rollrec records is modified to be zonegroup-name. This field may contain a single zonegroup name or a comma-separated list of names. If a list is given, then there may be whitespace before or after each name, but it is not recognized as being part of the zonegroup name itself. Whitespace within the name is considered part of the name. Zonegroup names are considered case insensitive. The names may be given with whatever case the user desires, but names whose only differences are the case of the letters are considered to be the same name.

-zonename zone-name
    The zone name in the selected rollrec records is modified to be zone-name.

-zsargs arglist
    Provides additional zonesigner arguments. These arguments will override the arguments in the DNSSEC-Tools defaults file, the DNSSEC-Tools configuration file, and the zones' keyrec files. The zonesigner argument list is given in arglist. If more than one argument is given, the set of arguments should be enclosed in quotes.

    Given the rollset argument processing, the new arguments for zonesigner cannot be specified as expected. Instead, the arguments should be given in the following manner. The leading dash should be replaced with an equals sign. If the option takes an argument, the space that would separate the option from the option's argument should also be replaced by an equals sign. rollset translates these arguments to the appropriate format for zonesigner. These examples should clarify the argument modifications:

        normal zonesigner option            -zsargs options
        ------------------------            ---------------
            -nokrfile                          =nokrfile
            -zskcount 5                        =zskcount=5

    The following are valid uses of -zsargs:

        # rollset -zsargs =ksklength=2048 example.rollrec
        # rollset -zsargs "=ksklen=2048 =zsklen=2048" example.rollrec

    The -zsargs and -delzsargs options are mutually exclusive.

-verbose
    Display information about every modification made to the rollrec file.

-Version
    Displays the version information for rollset and the DNSSEC-Tools package.

-help
    Display a usage message.

COPYRIGHT
Copyright 2006-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
lsroll(8), rollchk(8), rollerd(8), rollinit(8)

Net::DNS::SEC::Tools::rollmgr.pm(3), Net::DNS::SEC::Tools::rollrec.pm(3)

file-rollrec(5)